#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <ctype.h>

typedef enum {S0, S1, S2} State;

int main() {
	int sign = 1;
	bool finished = false;
	char ch;
	State state = S0;

	int number=0;

	while(!finished && (ch=getchar())!=EOF) {
		switch(state) {
			case S0:
				if(ch=='+' || ch=='-') {
					if(ch=='-') sign=-1;
					state = S1;
				}
				else if(isdigit(ch)) {
					number=ch - '0';
					state = S2;
				}
				break;
			case S1:
				if(isdigit(ch)) {
					number=ch-'0';
					state=S2;
				}
				break;
			case S2:
				if(isdigit(ch)) {
					number=number * 10 + ch-'0';
					state=S2;
				}
				else finished=true;
				break;

		}
	}
	number*=sign;
	printf("Number = %d\n",number);

	return 0;
}
